org.bouncycastle.crypto.params

## Class GOST3410KeyGenerationParameters

- java.lang.Object
- - org.bouncycastle.crypto.KeyGenerationParameters
  - - org.bouncycastle.crypto.params.GOST3410KeyGenerationParameters

    public class GOST3410KeyGenerationParameters
    extends KeyGenerationParameters

### Constructor Summary

Constructors
Constructor and Description
`GOST3410KeyGenerationParameters(java.security.SecureRandom random, GOST3410Parameters params)`

### Method Summary

Methods
`GOST3410Parameters` `getParameters()`

### Methods inherited from class org.bouncycastle.crypto.KeyGenerationParameters

`getRandom, getStrength`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GOST3410KeyGenerationParameters

    public GOST3410KeyGenerationParameters(java.security.SecureRandom random,
                                   GOST3410Parameters params)

### Method Detail

#### getParameters

    public GOST3410Parameters getParameters()